searchData={"items":[{"type":"module","title":"Autumn","doc":"Syntax highlighter for source code parsed with Tree-Sitter and styled with Helix Editor themes.","ref":"Autumn.html"},{"type":"module","title":"Features - Autumn","doc":"- Support [multiple languages](https://github.com/leandrocp/autumn/blob/main/native/inkjet_nif/Cargo.toml#L16) and [100+ themes](https://github.com/leandrocp/autumn/tree/main/priv/themes). Check out some samples at https://autumn-30n.pages.dev\n- Used by [MDEx](https://github.com/leandrocp/mdex) - a fast 100% CommonMark-compatible GitHub Flavored Markdown parser and formatter for Elixir\n- Use Rust's [inkjet crate](https://crates.io/crates/inkjet) under the hood","ref":"Autumn.html#module-features"},{"type":"module","title":"Installation - Autumn","doc":"Add `:autumn` dependency:\n\n```elixir\ndef deps do\n  [\n    {:autumn, \"~> 0.1\"}\n  ]\nend\n```","ref":"Autumn.html#module-installation"},{"type":"module","title":"Usage - Autumn","doc":"```elixir\nAutumn.highlight!(\"elixir\", \"Atom.to_string(:elixir)\") |> IO.puts()\n#=>  \n#=>  \n#=>  Atom  .  to_string  (  :elixir  ) \n#=>   \n\nAutumn.highlight!(\"rb\", \"Math.sqrt(9)\", theme: \"dracula\") |> IO.puts()\n#=>  \n#=>  \n#=>  Math  .  sqrt  (  9  ) \n#=>   \n```","ref":"Autumn.html#module-usage"},{"type":"module","title":"Samples - Autumn","doc":"Visit https://autumn-30n.pages.dev to see all [available samples](https://github.com/leandrocp/autumn/tree/main/priv/generated/samples) like the ones below:","ref":"Autumn.html#module-samples"},{"type":"module","title":"Looking for help with your Elixir project? - Autumn","doc":"At DockYard we are [ready to help you build your next Elixir project](https://dockyard.com/phoenix-consulting).\nWe have a unique expertise in Elixir and Phoenix development that is unmatched and we love to [write about Elixir](https://dockyard.com/blog/categories/elixir).\n\nHave a project in mind? [Get in touch](https://dockyard.com/contact/hire-us)!","ref":"Autumn.html#module-looking-for-help-with-your-elixir-project"},{"type":"module","title":"Acknowledgements - Autumn","doc":"* [Logo](https://www.flaticon.com/free-icons/fall) created by by pongsakornRed - Flaticon\n* [Logo font](https://fonts.google.com/specimen/Sacramento) designed by [Astigmatic](http://www.astigmatic.com)","ref":"Autumn.html#module-acknowledgements"},{"type":"function","title":"Autumn.highlight/3","doc":"Highlights the `source_code` using the tree-sitter grammar for `lang_filename_ext`.","ref":"Autumn.html#highlight/3"},{"type":"function","title":"Options - Autumn.highlight/3","doc":"* `:theme` (default `\"onedark\"`) - accepts any theme listed [here](https://github.com/leandrocp/autumn/tree/main/priv/themes),\nyou should pass the filename without special chars and without extension.\nFor example you should pass `theme: \"adwaita_dark\"` to use the [Adwaita Dark](https://github.com/leandrocp/autumn/blob/main/priv/themes/adwaita-dark.toml) theme\nor pass `theme: \"penumbra\"` to use the [Penumbra+](https://github.com/leandrocp/autumn/blob/main/priv/themes/penumbra%2B.toml) theme, and so on.\n* `:pre_class` (default: `\"autumn highlight\"`) - the CSS class to inject into the ` ` tag.\n* `:code_class` (deafult: `nil`) - the CSS class to inject into the ` ` tag, it's dynamically generated as `\"language-{name}` when the value is `nil`.","ref":"Autumn.html#highlight/3-options"},{"type":"function","title":"Autumn.highlight!/3","doc":"Same as `highlight/3` but raises in case of failure.","ref":"Autumn.html#highlight!/3"},{"type":"type","title":"Autumn.lang_filename_ext/0","doc":"A language name, filename, or extesion.","ref":"Autumn.html#t:lang_filename_ext/0"},{"type":"type","title":"Examples - Autumn.lang_filename_ext/0","doc":"- \"elixir\"\n    - \"main.rb\"\n    - \".rs\"\n    - \"php\"\n\nAn invalid language or `nil` will fallback to rendering plain text\nusing the background and foreground colors defined by the current theme.","ref":"Autumn.html#t:lang_filename_ext/0-examples"},{"type":"task","title":"mix autumn.generate_samples","doc":"","ref":"Mix.Tasks.Autumn.GenerateSamples.html"},{"type":"task","title":"mix autumn.generate_themes","doc":"","ref":"Mix.Tasks.Autumn.GenerateThemes.html"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"0.1.3 (2023-10-24) - Changelog","doc":"#","ref":"changelog.html#0-1-3-2023-10-24"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Add translate=\"no\" attr in   tag\n\n#","ref":"changelog.html#enhancements"},{"type":"extras","title":"Fixes - Changelog","doc":"* Fix Javascript grammar\n  * Fix Typescript grammar\n\n#","ref":"changelog.html#fixes"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Add icon","ref":"changelog.html#enhancements"},{"type":"extras","title":"0.1.2 (2023-09-29) - Changelog","doc":"#","ref":"changelog.html#0-1-2-2023-09-29"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Add logo\n\n#","ref":"changelog.html#enhancements"},{"type":"extras","title":"Fixes - Changelog","doc":"* Fix broken image links in docs","ref":"changelog.html#fixes"},{"type":"extras","title":"0.1.1 (2023-09-29) - Changelog","doc":"#","ref":"changelog.html#0-1-1-2023-09-29"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Fallback to plain text on invalid language\n  * Add samples\n\n#","ref":"changelog.html#enhancements"},{"type":"extras","title":"Fixes - Changelog","doc":"* Do not render the first line empty\n  * Make sure languages are loaded correctly","ref":"changelog.html#fixes"},{"type":"extras","title":"0.1.0 (2023-09-28) - Changelog","doc":"#","ref":"changelog.html#0-1-0-2023-09-28"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Add `Autumn.highlight/3`\n  * Add `Autumn.highlight!/3`","ref":"changelog.html#enhancements"}],"content_type":"text/markdown"}